Package org.eclipse.rdf4j.query.algebra.evaluation.federation

## Class ServiceJoinConversionIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<T,​X>
  - - org.eclipse.rdf4j.common.iteration.ConvertingIteration<BindingSet,​BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.repository.sparql.federation.ServiceJoinConversionIteration
      - - org.eclipse.rdf4j.query.algebra.evaluation.federation.ServiceJoinConversionIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      @Deprecated
      public class ServiceJoinConversionIteration
      extends ServiceJoinConversionIteration

  Deprecated.
  since 2.3 use `ServiceJoinConversionIteration`
  Inserts original bindings into the result, uses ?__rowIdx to resolve original bindings. See `ServiceJoinIterator` and `SPARQLFederatedService`.
  Author:
    Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.repository.sparql.federation.ServiceJoinConversionIteration

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceJoinConversionIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> iter, List<BindingSet> bindings)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.repository.sparql.federation.ServiceJoinConversionIteration

      `convert`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.ConvertingIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### ServiceJoinConversionIteration

          public ServiceJoinConversionIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> iter,
                                                List<BindingSet> bindings)

      Deprecated.